// =====================================================================
//  $Id: TRunAction.cc,v 1.6 2004/03/07 10:30:34 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TRunAction.cc,v $
//  Revision 1.6  2004/03/07 10:30:34  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.5  2004/03/04 14:53:05  goiwai
//  BeginOfRunAction -> Start
//  EndOfRunAction -> Stop
//  Resume,Suspend を追加
//
//  Revision 1.4  2003/10/06 17:02:45  goiwai
//  *** empty log message ***
//
//  Revision 1.3  2003/07/30 16:20:30  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunAction.hh"
#include "TRunManager.hh"
#include "TEventManager.hh"
#include "TReadoutBook.hh"
#include "TCrate.hh"

TRunAction::TRunAction()
  : theRunManager( 0 ), theEventManager( 0 ), 
    theReadoutBook( 0 ), theCrate( 0 )
{;}

TRunAction::~TRunAction()
{;}

Tvoid TRunAction::Start( TRun& aRun )
{
  return;
}

Tvoid TRunAction::Stop( TRun& aRun )
{
  return;
}

Tvoid TRunAction::Suspend( TRun& aRun )
{
  return;
}

Tvoid TRunAction::Resume( TRun& aRun )
{
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TRunAction)
#endif
